%define nm_version          0.8.6.0
%define dbus_version        1.1
%define gtk2_version        2.10.0
%define openconnect_version 3.01

Summary:   NetworkManager VPN integration for openconnect
Name:      networkmanager-openconnect
Version:   0.8.6.0
%define subrel 1
Release:   %mkrel 0
License:   GPLv2+
Group:     System/Base
URL:       http://www.gnome.org/projects/NetworkManager/
Source:    http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openconnect/0.8/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: libnm-util-devel >= %{nm_version}
BuildRequires: libnm-glib-devel >= %{nm_version}
BuildRequires: libnm-glib-vpn-devel >= %{nm_version}
BuildRequires: libGConf2-devel
BuildRequires: gnomeui2-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libglade2.0-devel
BuildRequires: libpng-devel
BuildRequires: intltool gettext
BuildRequires: openconnect-static-devel
Requires: gtk2             >= %{gtk2_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: openconnect      >= %{openconnect_version}
Obsoletes: openconnect-nm-auth-dialog
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q -n NetworkManager-openconnect-%{version}

%build
%configure2_5x --disable-static --with-gnome --with-authdlg --enable-more-warnings=no
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/NetworkManager/libnm-openconnect-properties.la

%find_lang NetworkManager-openconnect

%clean
rm -rf %{buildroot}

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_libdir}/nm-openconnect-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_datadir}/gnome-vpn-properties/openconnect



%changelog
* Fri Nov 11 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.6.0-0.1
- 0.8.6.0

* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 656406
- disable warnings
- bump req
- new verison 0.8.4

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-3
+ Revision: 645114
- P0: really build authentication dialogue (GIT)
- P1: fix format not literal warning
- BR openconnect-static-devel for authentication library

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-2
+ Revision: 644985
- obsoletes openconnect-nm-auth-dialog

* Sat Mar 05 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-1
+ Revision: 642111
- update to 0.8.4-beta1

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdv2011.0
+ Revision: 603025
- dependency on openconnect-nm-auth-dialog

* Wed Nov 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 598377
- import networkmanager-openconnect

